Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## semorg.gui.util
Class CalendarControl.SWTDayChooser.DayLabel

    java.lang.Object
      org.eclipse.swt.widgets.Widget
          org.eclipse.swt.widgets.Control
              org.eclipse.swt.widgets.Label
                  semorg.gui.util.CalendarControl.SWTDayChooser.DayLabel

All Implemented Interfaces:
  org.eclipse.swt.graphics.Drawable

Enclosing class:
  CalendarControl.SWTDayChooser

    public class CalendarControl.SWTDayChooser.DayLabel

extends org.eclipse.swt.widgets.Label

The Class DayLabel.

Field Summary

Fields inherited from class org.eclipse.swt.widgets.Control
`handle`

Constructor Summary
`CalendarControl.SWTDayChooser.DayLabel(org.eclipse.swt.widgets.Composite parent, int style)` Instantiates a new day label.

Method Summary
`protected void` | `checkSubclass()`
`org.eclipse.swt.graphics.Point` | `computeSize(int wHint, int hHint, boolean changed)`

Methods inherited from class org.eclipse.swt.widgets.Label
`getAlignment, getImage, getText, setAlignment, setImage, setText`

Methods inherited from class org.eclipse.swt.widgets.Control
`addControlListener, addFocusListener, addHelpListener, addKeyListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addPaintListener, addTraverseListener, computeSize, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getParent, getShell, getSize, getToolTipText, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, redraw, redraw, removeControlListener, removeFocusListener, removeHelpListener, removeKeyListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removePaintListener, removeTraverseListener, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setEnabled, setFocus, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setParent, setRedraw, setSize, setSize, setToolTipText, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, update`

Methods inherited from class org.eclipse.swt.widgets.Widget
`addDisposeListener, addListener, checkWidget, dispose, getData, getData, getDisplay, getStyle, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, setData, setData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CalendarControl.SWTDayChooser.DayLabel

    public CalendarControl.SWTDayChooser.DayLabel(org.eclipse.swt.widgets.Composite parent,
                                                  int style)

  Instantiates a new day label.

  Parameters:
    `parent` - the parent
    `style` - the style

Method Detail

### computeSize

    public org.eclipse.swt.graphics.Point computeSize(int wHint,
                                                      int hHint,
                                                      boolean changed)

  Overrides:
    `computeSize` in class `org.eclipse.swt.widgets.Label`

### checkSubclass

    protected void checkSubclass()

  Overrides:
    `checkSubclass` in class `org.eclipse.swt.widgets.Widget`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD